User reference
==============

User reference for the OSMnx package.

This guide covers usage of all public modules and functions. Every function can be accessed via `ox.module_name.function_name()` and the vast majority of them can also be accessed directly via `ox.function_name()` as a shortcut. Only a few less-common functions are accessible only via `ox.module_name.function_name()`.

osmnx.bearing module
--------------------

.. automodule:: osmnx.bearing
    :members:

osmnx.distance module
---------------------

.. automodule:: osmnx.distance
    :members:

osmnx.downloader module
-----------------------

.. automodule:: osmnx.downloader
    :members:

osmnx.elevation module
----------------------

.. automodule:: osmnx.elevation
    :members:

osmnx.folium module
-------------------

.. automodule:: osmnx.folium
    :members:

osmnx.geocoder module
---------------------

.. automodule:: osmnx.geocoder
    :members:

osmnx.geometries module
-----------------------

.. automodule:: osmnx.geometries
    :members:

osmnx.graph module
------------------

.. automodule:: osmnx.graph
    :members:

osmnx.io module
---------------

.. automodule:: osmnx.io
    :members:

osmnx.osm_xml module
--------------------

.. automodule:: osmnx.osm_xml
    :members:

osmnx.plot module
-----------------

.. automodule:: osmnx.plot
    :members:

osmnx.projection module
-----------------------

.. automodule:: osmnx.projection
    :members:

osmnx.settings module
---------------------

.. automodule:: osmnx.settings
    :members:

osmnx.simplification module
---------------------------

.. automodule:: osmnx.simplification
    :members:

osmnx.speed module
------------------

.. automodule:: osmnx.speed
    :members:

osmnx.stats module
------------------

.. automodule:: osmnx.stats
    :members:

osmnx.truncate module
---------------------

.. automodule:: osmnx.truncate
    :members:

osmnx.utils module
------------------

.. automodule:: osmnx.utils
    :members:

osmnx.utils_geo module
----------------------

.. automodule:: osmnx.utils_geo
    :members:

osmnx.utils_graph module
------------------------

.. automodule:: osmnx.utils_graph
    :members:
